package com.pj.tb_people;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_people -- 边民
 * @author qzy
 */

@Mapper
@Repository
public interface TbPeopleMapper extends BaseMapper <TbPeople> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合
	 * @return 数据列表
	 */
	List<TbPeople> getList(SoMap so);
	int checkApplyExist(@Param("peopleId") Long peopleId);
	int addApply(@Param("peopleId") Long peopleId, @Param("groupId") Long groupId);
	List <TbPeople>getApplyList(SoMap so);
	List <TbPeople>getMemberListByGroupId(SoMap so);
	List <TbPeople>getMemberListByLeaderId(SoMap so);
	int updateApplyStatus(@Param("status") int status,@Param("peopleId") Long peopleId);
	List<TbPeople> getLeftPeople();

}
